Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core
Class SystemCollection

    java.lang.Object
      com.dbxml.db.core.CollectionManager
          com.dbxml.db.core.Collection
              com.dbxml.db.core.SystemCollection

All Implemented Interfaces:
  Configurable

public final class SystemCollection
extends Collection

SystemCollection represents the System Collection. Beyond standard Collection operations, this class will provide facilities for Schema and SymbolTable management among other things.

Field Summary
`static java.lang.String` | `ACCESS`
`static java.lang.String` | `CONFIGS`
`static java.lang.String` | `METADATA`
`static java.lang.String` | `OBJECTS`
`static java.lang.String` | `ROLES`
`static java.lang.String` | `SCHEMAS`
`static java.lang.String` | `SYMBOLS`
`static java.lang.String` | `SYSCOL`
`static java.lang.String` | `USERPROPERTIES`
`static java.lang.String` | `USERS`

Fields inherited from class com.dbxml.db.core.Collection
`TYPE_DOCUMENTS, TYPE_RECORDS`

Method Summary
`SymbolTable` | `loadSymbols(Collection collection)` loadSymbols retrieves the SymbolTable for the specified Collection.
`void` | `saveSymbols(Collection collection, SymbolTable symbols)` saveSymbols save the SymbolTable for the specified Collection.

Methods inherited from class com.dbxml.db.core.Collection
`createCollection, createNewOID, dispose, drop, dropCollection, flushSymbolTable, getCanonicalDocumentName, getCanonicalName, getCollectionRoot, getCollectionType, getContainer, getContainerSet, getDatabase, getDocument, getExtensionManager, getIndexManager, getKeyCount, getName, getParentCollection, getQueryEngine, getRecord, getRecordMetaData, getSymbols, getSystemCollection, getTriggerManager, insertDocument, insertRecord, listKeys, queryCollection, queryDocument, remove, setConfig, setDocument, setRecord, setRecord`

Methods inherited from class com.dbxml.db.core.CollectionManager
`getCollection, getConfig, listCollections`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Field Detail

### SYSCOL

    public static final java.lang.String SYSCOL

See Also:
  Constant Field Values

### SYMBOLS

    public static final java.lang.String SYMBOLS

See Also:
  Constant Field Values

### METADATA

    public static final java.lang.String METADATA

See Also:
  Constant Field Values

### OBJECTS

    public static final java.lang.String OBJECTS

See Also:
  Constant Field Values

### CONFIGS

    public static final java.lang.String CONFIGS

See Also:
  Constant Field Values

### SCHEMAS

    public static final java.lang.String SCHEMAS

See Also:
  Constant Field Values

### USERS

    public static final java.lang.String USERS

See Also:
  Constant Field Values

### USERPROPERTIES

    public static final java.lang.String USERPROPERTIES

See Also:
  Constant Field Values

### ROLES

    public static final java.lang.String ROLES

See Also:
  Constant Field Values

### ACCESS

    public static final java.lang.String ACCESS

See Also:
  Constant Field Values

Method Detail

### loadSymbols

    public SymbolTable loadSymbols(Collection collection)
                            throws DBException

  loadSymbols retrieves the SymbolTable for the specified Collection.

  Parameters:
    `collection` - The Collection whose SymbolTable is required
  Returns:
    The requested SymbolTable
  Throws:
    `DBException` - If a Database Exception occurs

### saveSymbols

    public void saveSymbols(Collection collection,
                            SymbolTable symbols)
                     throws DBException

  saveSymbols save the SymbolTable for the specified Collection.

  Parameters:
    `collection` - The Collection that owns the SymbolTable
    `symbols` - The SymbolTable
  Throws:
    `DBException` - If a Database Exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group